package com.ruoyi.inventory.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产盘点明细对象 tb_inventory_detail
 * 
 * @author ydl
 * @date 2023-06-01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TbInventoryDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 盘点元数据 */
    @Excel(name = "盘点元数据")
    private String inventoryMetadata;

    /** 是否更新数据 */
    @Excel(name = "是否已盘点")
    private Long isUpdateData;

}
