package com.ruoyi.inventory.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.inventory.domain.TagInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TakeStockDTO {
    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 盘点位置 */
    @Excel(name = "盘点位置")
    private String inventoryLocation;

    /** 盘点资产RFID列表*/
    private List<TagInfo> assetList;
}
