package com.ruoyi.ptxlib.domain;

import lombok.Data;

import java.util.List;

@Data
public class PTXLabelInfo {
    /** 连接方式 0:USB,1:Ethernet */
    private Integer connectType;

    /** 打印机驱动程序名称 */
    private String printerName ;

    /** 连接地址 */
    private String connectIpAddress;

    /** 连接端口 */
    private Integer connectPort;

    /** 打印头 */
    private Integer pid;

    /** 是否加粗 */
    private Boolean isBold;

    /** EPC */
    private String epc;

    /** 标签文字打印 */
    private List<PTXLabelText> ptxLabelTexts;

    /** 标签二维码打印 */
    private List<PTXLabelCode> ptxLabelCodes;
}
